package controllers

type Config struct {
	FermentationTemperature float64 `mapstructure:"fermentation_temp"`
	MaxWortDelta            float64 `mapstructure:"max_wort_delta"`
	MinChamberTemperature   float64 `mapstructure:"min_chamber_temp"`
	MinCoolerRuntimeSecs    float64 `mapstructure:"min_cooler_runtime_secs"`  // 900
	MaxCoolerRuntimeSecs    float64 `mapstructure:"max_cooler_runtime_secs"`  // 86400
	MinCoolerCooldownSecs   float64 `mapstructure:"min_cooler_cooldown_secs"` // 900
	PID                     struct {
		Kp float64 `mapstructure:"kp"` // 2.0
		Ki float64 `mapstructure:"ki"` // 0.0001
		Kd float64 `mapstructure:"kd"` // 2.0
	} `mapstructure:"pid"`
}
