package dal

import (
	"database/sql"

	_ "modernc.org/sqlite"
)

type DAL struct {
	db *sql.DB
}

func NewDAL(dsn string) (*DAL, error) {
	var err error
	dal := &DAL{}

	dal.db, err = sql.Open("sqlite", dsn)
	if err != nil {
		return nil, err
	}

	return dal, nil
}

func (dal *DAL) Close() error {
	return dal.db.Close()
}

func (dal *DAL) Initialize() error {
	// TODO
	return nil
}

func (dal *DAL) Begin() (*sql.Tx, error) {
	return dal.db.Begin()
}
